### Constructor

# EDataServerUI4 CredentialsPrompterImplPassword new

since: 3.16

#### Declaration [src]

    ECredentialsPrompterImpl*
    e_credentials_prompter_impl_password_new (
      void
    )

#### Description [src]

Creates a new instance of an `ECredentialsPrompterImplPassword`.

Available since: 3.16

#### Return value

Type: `ECredentialsPrompterImpl`

A newly created `ECredentialsPrompterImplPassword`, which should be freed with `g_object_unref()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.